<?php
use_helper('UrlFunctions'); 
use_helper('UtilFunctions');





if( $_POST['ctrlSubmit'] == "submit" )
{
	
		
	$i_IdColaborador = myUser::getUser()->getIdColaborador();
	$i_IdPadre = myUser::getUser()->getIdParent();
	
	
	$o_sucursalBL = new SucursalBL();
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($i_IdPadre);
	$a_o_sucursales = $o_sucursalBL->busquedaSucursal($o_SucursalBean);
	
	foreach ($a_o_sucursales as $iKey => $o_sucursales){ 
			$idsucursal = $o_sucursales->getIdSucursal();
			$descripcionSucursal = $o_sucursales->getDescripcion();
	}

    $o_CrPedidocabeceraDP =  new CrPedidocabeceraDP();
    $o_CrPedidocabeceraDP->setFechaoperacion( $s_FechaCierrePeriodo );
    //$o_CrPedidocabeceraDP->setFechaoperacion( date("Y-m-d") );
    $o_CrPedidocabeceraDP->setIdSucursal($idsucursal);
    $o_CrPedidocabeceraDP->setEstado("P");
    $o_CrPedidocabeceraDP->setComentario($s_comentario);
    $o_CrPedidocabeceraDP->setIdcolaboradordestino($i_supervisor);
    $o_CrPedidocabeceraDP->setIdcolaboradorrepresentante($i_IdColaborador);
    
    if( !isset($i_idpedido) )
    {
        $o_CrPedidocabeceraDP->setUsuariocreacion(myUser::getUser()->getUserId());
        $o_CrPedidocabeceraDP->setFechacreacion(date("Y-m-d H:i:s"));
        $b_result = $o_CrPedidocabeceraDP->save();
        $i_idpedido = $o_CrPedidocabeceraDP->getIdpedidocabecera();
    }
    else 
    {
        $o_CrPedidocabeceraDP->setUsuariomodificacion( myUser::getUser()->getUserId() );
        $o_CrPedidocabeceraDP->getFechamodificacion( date("Y-m-d H:i:s") );
        $o_CrPedidocabeceraDP->setIdpedidocabecera($i_idpedido);
        $b_result = $o_CrPedidocabeceraDP->update();
    }
    if( $b_result )
    {
        $f_montoTotalSuma = 0;
        foreach ( $codigo as $i_Key => $s_valor )
        {
            $o_CrPedidodetalleDP = new CrPedidodetalleDP();
            $o_CrPedidodetalleDP->setIdpedidocabecera($i_idpedido);
            $o_CrPedidodetalleDP->setTipocodigo($tipo[$i_Key]);
            switch ( $tipo[$i_Key] )
            {
                case '1':
                    $o_CrPedidodetalleDP->setIdCliente( trim( $codigo[$i_Key] ) );
                break;
                case '2':
                    $o_CrPedidodetalleDP->setCodigocliente( trim( $codigo[$i_Key] ) );
                break;
            }
            $o_CrPedidodetalleDP->setNombrecompleto( $nombre_completo[$i_Key] );
            //$o_CrPedidodetalleDP->setFechaentrega(date("Y-m-d"));
            $o_CrPedidodetalleDP->setFechainicio( $s_FechaCierrePeriodo );  //FECHA DE INICIO ES IGUAL A LA FECHA DE OPERACION DE LA CABECERA
            
            $o_CrPedidodetalleDP->setMontoprestado( $monto[$i_Key] );
            $f_MontoSinInteres = $monto[$i_Key]*1;
            $f_interesmonto = fnroundesp( ($monto[$i_Key] * ($porcentaje[$i_Key]/100)), 2);
            $f_montoTotal = $monto[$i_Key] + $f_interesmonto;
            $o_CrPedidodetalleDP->setMontototal($f_montoTotal);
            $o_CrPedidodetalleDP->setInteresporcentaje($porcentaje[$i_Key]);
            $o_CrPedidodetalleDP->setInteresmonto($f_interesmonto);
            $o_CrPedidodetalleDP->setDuracion($duracion[$i_Key]);
            $o_CrPedidodetalleDP->setEstado( $s_estadoDetalle[$i_Key] );
            $o_CrPedidodetalleDP->setGastoadministrativo($gastos[$i_Key]);
            $o_CrPedidodetalleDP->setIdcolaborador($i_IdColaborador);
            $o_CrPedidodetalleDP->setPeriodicidadpago($periocidad[$i_Key]);
            $o_CrPedidodetalleDP->setSaldoprestamo($f_montoTotal);
            
            if( $registro_id[$i_Key] != "" )
            {
                if( $s_estadoDetalle[$i_Key] == "P" )
                {
                    $o_CrPedidodetalleDP->getUsuariomodificacion( myUser::getUser()->getUserId() );
                    $o_CrPedidodetalleDP->getFechamodificacion( date( "Y-m-d H:i:s" ) );
                    $o_CrPedidodetalleDP->setIdpedidodetalle($registro_id[$i_Key]);
                    $b_result = $o_CrPedidodetalleDP->update();
                }
            }
            else
            {
                $o_CrPedidodetalleDP->setUsuariocreacion(myUser::getUser()->getUserId());
                $o_CrPedidodetalleDP->setFechacreacion(date("Y-m-d H:i:s"));
                $b_result = $o_CrPedidodetalleDP->save();
            }
            $f_montoTotalSuma = $f_montoTotalSuma + $f_MontoSinInteres;
        }
        $o_CrPedidocabeceraDP =  new CrPedidocabeceraDP();
        $o_CrPedidocabeceraDP->setIdpedidocabecera($i_idpedido);
        $o_CrPedidocabeceraDP->setMontototal($f_montoTotalSuma);
        $o_CrPedidocabeceraDP->update();
        
        header("Location:".buildUrl('pdo/list', "block=001"));
        exit;
    }
}else{
	
?>
<?php
//ini_set('display_errors', 1);

$i_IdColaborador = myUser::getUser()->getIdColaborador();
$i_IdPadre = myUser::getUser()->getIdParent();


$o_sucursalBL = new SucursalBL();
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($i_IdPadre);
$a_o_sucursales = $o_sucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursales as $iKey => $o_sucursales){ 
		$idsucursal = $o_sucursales->getIdSucursal();
		$descripcionSucursal = $o_sucursales->getDescripcion();
		//echo $idsucursal;
}



//$s_FechaOperacion = date("Y-m-d"); 
$o_CierrePedidoDP = new CierrePedidoDP(new CierrePedidoBean());
$s_FechaOperacion = $o_CierrePedidoDP->obtenerFechaCierrePeriodo($idsucursal,$i_IdColaborador);

$i_idpedidon = $o_CierrePedidoDP->existe_pedidos($s_FechaOperacion,$idsucursal,$i_IdColaborador);

if($i_idpedidon && !$i_idpedido){
	header("Location:".buildUrl( 'pdo/addedit', 'block=001&i_idpedido='.$i_idpedidon ));
}


/////////////////////////////////////////////////////////////////////////////////////////////////
//INFORMACION DE COLABORADOR
$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador( $i_IdColaborador );

$o_ColaboradorBL = new ColaboradorBL();
$a_oColaboradorBN = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
$s_NombreCompleto = "Colaborador no seleccionado.";
if( $a_oColaboradorBN )
{
	$o_ColaboradorBN = $a_oColaboradorBN[0];
	$s_NombreCompleto = $o_ColaboradorBN->getNombreCompleto();
	$i_IdPadre        = $o_ColaboradorBN->getIdPadre();
}
/////////////////////////////////////////////////////////////////////////////////////////////////
//INFORMACION DE SUPERVISOR
$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdPadre($i_IdPadre);
$o_ColaboradorBean->setIdRol('sys.sup');
$o_ColaboradorBean->setEliminado('0');

$o_ColaboradorBL = new ColaboradorBL();
$a_oColaboradorBN = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
/////////////////////////////////////////////////////////////////////////////////////////////////
if( isset( $i_idpedido ) && $i_idpedido != "" )
{
    $o_CrPedidocabeceraFN = new CrPedidocabeceraFN();
    $o_CrPedidocabeceraFN->setIdpedidocabecera($i_idpedido);
    $o_CrPedidocabeceraBN = $o_CrPedidocabeceraFN->selectByPK();
    if( $o_CrPedidocabeceraBN )
    {
        $s_comentario = $o_CrPedidocabeceraBN->getComentario();
        $s_FechaOperacion = $o_CrPedidocabeceraBN->getFechaoperacion();
        $i_supervisor   = $o_CrPedidocabeceraBN->getIdcolaboradordestino();
        
        $o_CrPedidodetalleFN = new CrPedidodetalleFN();
        $o_CrPedidodetalleFN->setIdpedidocabecera($i_idpedido);
        $a_CrPedidodetalle = $o_CrPedidodetalleFN->select();
    }
}
//SUCURSAL
$o_SucursalBean =  new SucursalBean();
$o_SucursalBean->setIdAdministrador($i_IdPadre);

$o_SucursalBL = new SucursalBL();
$a_oSucursal = $o_SucursalBL->getSucursal($o_SucursalBean);
if( $a_oSucursal )
{
    $o_SucursalBN = $a_oSucursal[0];
    $i_IdSucursal =  $o_SucursalBN->getIdSucursal();
}
//////////
    //Obtener la fecha de operacion para los pedidos [Cuando va hacer nuevos pedidos con cabecera nueva]
    $o_CierrePedidoBeanT = new CierrePedidoBean();
    $o_CierrePedidoDP = new CierrePedidoDP($o_CierrePedidoBeanT);
    $fechaCol = $o_CierrePedidoDP->obtenerFechaCierrePeriodo($i_IdSucursal, $i_IdColaborador);
    /////////////////////////////////////////////////////////////////////////////////////
    //echo "FechaCierre: ".$fechaCol;
}?>
<script>
function validate_character(){
	var elements = [" ","+","/","%",":",";",",","&","-","=","*","@","$","í","#","\\","í","í","í","?","í","í","!","í","'","{","}","(",")","|","`","í","``","íí"];
	return elements;
}
function validate_alpha(){
	var elements = ["a","b","c","d","e","f","g","h","i","j","k","l","m","n","í","o","p","q","r","s","t","u","v","w","x","y","z"];
	return elements;
}
function validate_number(){
	var elements = ["0","1","2","3","4","5","6","7","8","9"];
	return elements;
}
function validar_letra(evt){
	var elm            = Event.element(evt);
	var cont           = elm.value.length;
	var valor          = elm.value.toLowerCase(); 
  var cont_2         = cont - 1;
	var char_enter     = valor.charAt(cont_2);
	var a_Restriction  = validate_character();
	if(arguments.length > 1){
	  var type = arguments[1];
	  switch (type){
	    case "alpha":
        var a_Restriction2 = validate_number();
        a_Restriction = a_Restriction.concat(a_Restriction2)	      
	    break;
	    case "number":
        var a_Restriction2 = validate_alpha();
        a_Restriction = a_Restriction.concat(a_Restriction2)	      
	    break;
	  }
	}
	var String_Restriction = a_Restriction.join("_");
	if(arguments.length == 3){
	  var valuePerm = arguments[2];
	  if(valuePerm == valor){
	    return false;
	  }
	}
	if(String_Restriction.indexOf(char_enter) > 0){
    elm.value = valor.substring(0,cont_2);
		return false;
	}
}
</script>

<table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top: 5px; margin-bottom: 5px;">
  <tr>
    <td class="titleBody"><li><?php if($i_idpedido) echo "Editar Pedidos"; else echo "Nuevos Pedidos";?></li></td>
    <td align="right">
        &nbsp;
    </td>
  </tr>
</table>

<form action="" method="post" name="form1" id="form1">

    <input type="hidden" value="submit" id="ctrlSubmit" name="ctrlSubmit">
    <input type="hidden" value="001" id="block" name="block">
    <?php if($i_idpedido){ ?>
    <input type="hidden" value="<?php echo $i_idpedido ?>" id="i_idpedido" name="i_idpedido">
    <?php } ?>
    <input type="hidden" value="<?php echo $i_IdColaborador ?>" id="i_IdColaborador" name="i_IdColaborador">
    <input type="hidden" value="<?php echo $i_IdPadre ?>" id="i_IdPadre" name="i_IdPadre">
    <input type="hidden" value="<?php echo $fechaCol ?>" id="s_FechaCierrePeriodo" name="s_FechaCierrePeriodo">
    
    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="marco" style="background-color: #FAFAFA;">
        <tr>
            <td style="padding: 10px;">
            
                <table width="100%" class="marco" style="background-color: #FAFAFA;" cellpadding="5" cellspacing="0">
                    <tr>
                        <td width="10%"><label class="req">Representante</label></td>
                        <td width="2%"><label>:</label> </td>
                        <td width="88%"><label><?php echo $s_NombreCompleto ?></label> </td>
                    </tr>
                    <tr>
                        <td><label class="req">Fecha Operaci&oacute;n</label></td>
                        <td><label>:</label> </td>
                        <td>
                        	<label><?php echo $s_FechaOperacion ?></label>
                        	<input type="hidden" name="s_FechaOperacion" id="s_FechaOperacion" value="<?php echo $s_FechaOperacion ?>"/>
                        </td>
                    </tr>
                    <tr>
                        <td><label class="req">Comentario</label></td>
                        <td><label>:</label> </td>
                        <td><textarea cols="60" rows="2" id="s_comentario" name="s_comentario"><?php echo $s_comentario ?></textarea></td>
                    </tr>
                    <tr>
                        <td><label class="req">Supervisor</label></td>
                        <td><label>:</label> </td>
                        <td>
                        	<?php if(is_array($a_oColaboradorBN)){?>
                            <select class="combo" id="i_supervisor" name="i_supervisor">
                                <option value=""> - Seleccione - </option>
                                <?php if( count($a_oColaboradorBN) > 0 ){ ?>
                                <?php foreach ( $a_oColaboradorBN as $i_Key => $o_ColaboradorBN ){ ?>
                                <option value="<?php echo $o_ColaboradorBN->getIdColaborador() ?>" <?php if( $i_supervisor == $o_ColaboradorBN->getIdColaborador() ){ echo "SELECTED"; } ?>> <?php echo $o_ColaboradorBN->getNombreCompleto() ?> </option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                            <?php }else{
                            		echo "<label class='label' style='color:#f00'>No existe supervisor.</label>";
                            }?>
                        </td>
                    </tr>
                </table>
                
                <table cellpadding="0" cellspacing="0" style="margin-top: 20px;">
                    <tr>
                        <td>
                            <input type="button" class="button" value="Adicionar pedido" onclick="agregarPresupuesto();"/>
                        </td>
                        <td>&nbsp;</td>
                        <td>
                            <input type="button" class="button" value="Eliminar pedidos seleccionados" onclick="eliminarSeleccionado();"/>
                        </td>
                    </tr>
                </table>
                
<style>
.classHead
{
    display: inline-block;
    margin-bottom: 1px;
    width:1229px;
}
.classHead div
{
    float: left;text-align: center;
    font-size: 9px;
    font-weight: bold;
    margin-left: 1px; margin-right: 1px;
}
.classData div
{
    float: left;text-align: center;
    font-size: 9px;
    margin-left: 1px; margin-right: 1px;
    height: 17px;
}
.classData
{
    width:1229px;
}
.classData .row { margin-bottom: 1px; margin-top: 1px; }
.classData div table
{
    width:100%;
    text-align: center;
    font-size: 9px;
}
.classData input{ text-align: center; width:100%; }
.classData select{ width:100%; }
</style>
<script>
agregarPresupuesto = function()
{
    var a_elms = $('Content_Data').getElementsBySelector('[type="checkbox"]');
    if( a_elms.length > 0 )
    {
        var elm = a_elms[(a_elms.length-1)];
        var i_count = parseInt(elm.readAttribute('row'))+1;
    }
    else
    {
        var i_count = 1;
    }
    
    var s_nvo_prfjo =  "_" + i_count;
        
    var s_content = '\
                                <div row="'+i_count+'" id="row_'+i_count+'" class="row">\
                                    <div style="width: 30px;"><input row="'+i_count+'" type="checkbox" name="checkbox[]" id="checkbox_'+i_count+'" value=""/></div>\
                                    <div style="width: 95px;">\
                                        <select class="combo" style="width:100%;" id="tipo_'+i_count+'" name="tipo[]" onChange="validacionesCodigo(\'codigo_'+i_count+'\',\''+i_count+'\')">\
                                            <option value="1"> Cod Cliente </option>\
                                            <option value="2"> Cod Prestamo </option>\
                                        </select>\
                                    </div>\
                                    <div style="width: 65px;">\
                                        <input onkeyup="validar_letra(event,\'number\');" type="text" class="text" style="width:80%;" id="codigo_'+i_count+'" name="codigo[]" value="" onblur="validacionesCodigo( this, \''+i_count+'\' );" onclick="this.select();"/>\
                                        <input type="button" value="..." class="button" style="width:20%;" onclick="actualizarRegistro( \'row_'+i_count+'\', $(\'tipo_'+i_count+'\').value, $(\'codigo_'+i_count+'\').value, \''+i_count+'\' )" />\
                                    </div>\
                                    <div style="width: 190px;">&nbsp</div>\
                                    <div style="width: 45px;">&nbsp</div>\
                                    <div style="width: 45px;">&nbsp</div>\
                                    <div style="width: 35px;">&nbsp</div>\
                                    <div style="width: 45px;">&nbsp</div>\
                                    <div style="width: 75px;">&nbsp</div>\
                                    <div style="width: 75px;">&nbsp</div>\
                                    <div style="width: 75px;">&nbsp</div>\
                                    <div style="width: 75px;">&nbsp</div>\
                                    <div style="width: 65px;">&nbsp</div>\
                                    <div style="width: 75px;">&nbsp</div>\
                                    <div style="width: 75px;">&nbsp</div>\
                                    <div style="width: 75px;">&nbsp</div>\
                                </div>\
                    ';
    new Insertion.Bottom('Content_Data', s_content);
}

ejecutarAjaxaUpdate = function( elm_id, Params )
{
    var url = '<?php echo buildUrl( 'ajax/requestPdo' ) ?>';
    new Ajax.Updater(
                        elm_id, 
                        url,
                        {
                            method      : 'post',
                            parameters  : Params,
                            evalScripts	: true,
                            onSuccess   : function(transport, json)
                            {
                                //var TypeSearch = transport.request.parameters.TypeSearch;
                                //var ElmLst     = transport.request.container.success;
                            },
                            onFailure  : function(transport)
                            {
                                alert("Error ("+transport.status+"): "+transport.statusText);
                            },
                            onComplete : function(transport)
                            {
                                
                            }
                        }
                    );    
}

actualizarRegistro = function( elm_id, s_tipo, s_codigo, i_row )
{
    if(s_codigo){
		var i_valCheck = $("checkbox_"+i_row).value;
	    //alert("checkbox_"+i_row +": "+i_valCheck);
	    if( i_valCheck != "" )
	    {
	        x = confirm("Esta seguro de modificar el registro?  se borrara datos almacenado.");
	        if( x )
	        {
	            Params  = 's_TypeRequest=lineaPedido&s_tipo='+s_tipo+'&s_codigo='+s_codigo+'&i_row='+i_row+"&i_IdRegAlmacenado="+i_valCheck;
	        }
	        else
	        {
	            return false;
	        }
	    }
	    else
	    {
	        Params  = 's_TypeRequest=lineaPedido&s_tipo='+s_tipo+'&s_codigo='+s_codigo+'&i_row='+i_row+"&i_IdRegAlmacenado=";
	    }
	    ejecutarAjaxaUpdate( elm_id, Params );
    }else{
    	alert('Debe de ingresar el codigo.');
    }
}

eliminarSeleccionado = function()
{
    var a_elms = $('Content_Data').getElementsBySelector('[type="checkbox"]');
    a_elms.each
    (
        function(elm)
        {
            if( elm.checked )
            {
                var i_row = elm.readAttribute('row');
                if(elm.value != "")
                {
                    x = confirm("Esta seguro de eliminar el registro? se borrara datos almacenado.");
                    if( x )
                    {
                        var s_registro_id =  $('registro_id_'+i_row).value;
                        Params  = 's_TypeRequest=eliminarlinea&i_idpedidodetalle='+s_registro_id+'&i_row='+i_row;
                        ejecutarAjaxaUpdate( 'contenido_result', Params );
                    }
                }
                else
                {
                    eliminarLineaDet( i_row );
                }
            }
        }
    );
}

eliminarLineaDet = function( i_row )
{
    var id_row = "row_" + i_row;
    $( id_row ).remove();
}

guardarPedido = function()
{
    var b_acceso = false;
    if( $F('i_supervisor') == "" )
    {
        alert("Debe de seleccionar un supervisor.")
        return false;
    }
    var a_elms = $('Content_Data').getElementsBySelector('[type="checkbox"]');
    if( a_elms.length > 0 )
    {
        b_acceso = true;
    }
    else
    {
        alert("Debe de haber una linea de pedido.")
        return false;
    }
    //VALIDACION DE CANTIDADES
    var a_elms = $('Content_Data').getElementsBySelector('[name="checkbox[]"]');
    var a_elms2 = $('Content_Data').getElementsBySelector('[name="monto[]"]');
    if( a_elms.length > a_elms2.length )
    {
        alert("Por favor elimine la lineas vacias.");
        return false;
    }
    //////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////
    //VALIDAR CODIGO VACIO
    var a_elms = $('Content_Data').getElementsBySelector('[name="codigo[]"]');
    var b_control = false;
    for( i=0; i<a_elms.length; i++ )
    {
        var elm = a_elms[i];
        var s_value = elm.value;
        if( s_value.trim() == "" )
        {
            b_control = true;
        }
    }
    if( b_control )
    {
        alert( "Los valores para el campo codigo debe de estar lleno." );
        return false;
    }
    //////////////////////////////////////////////////////////////////////////////////////////
    //VALIDAR PORCENTAJE VACIO
    var a_elms = $('Content_Data').getElementsBySelector('[name="porcentaje[]"]');
    var b_control = false;
    for( i=0; i<a_elms.length; i++ )
    {
        var elm = a_elms[i];
        var s_value = elm.value;
        if( s_value.trim() == "" )
        {
            b_control = true;
        }
    }
    if( b_control )
    {
        alert( "Un campo porcentaje esta vacio." );
        return false;
    }
    //////////////////////////////////////////////////////////////////////////////////////////
    //VALIDACION DURACION VACIO
    var a_elms = $('Content_Data').getElementsBySelector('[name="duracion[]"]');
    var b_control = false;
    for( i=0; i<a_elms.length; i++ )
    {
        var elm = a_elms[i];
        var s_value = elm.value;
        if( s_value.trim() == "" )
        {
            b_control = true;
        }
    }
    if( b_control )
    {
        alert( "Un campo duracion esta vacio." );
        return false;
    }
    //////////////////////////////////////////////////////////////////////////////////////////
    //VALIDACION PERIODICIDAD VACIO
    var a_elms = $('Content_Data').getElementsBySelector('[name="periocidad[]"]');
    var b_control = false;
    for( i=0; i<a_elms.length; i++ )
    {
        var elm = a_elms[i];
        var s_value = elm.value;
        if( s_value.trim() == "" )
        {
            b_control = true;
        }
    }
    if( b_control )
    {
        alert( "Un campo periocidad esta vacio." );
        return false;
    }
    //////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////
    $('form1').submit();
}

validacionesCodigo = function( elm, i_row )
{
    elm = $(elm);
    var s_value = elm.value;
    var s_Tipo  = $("tipo_"+i_row).value;
    var a_elms  = $('Content_Data').getElementsBySelector('[name="checkbox[]"]');
    var a_elms2 = $('Content_Data').getElementsBySelector('[name="tipo[]"]');
    var a_elms3 = $('Content_Data').getElementsBySelector('[name="codigo[]"]');
    for( i=0; i<a_elms.length; i++ )
    {
        var elm = a_elms[i];
        var i_row_Act = elm.readAttribute('row');
        if( i_row_Act != i_row )
        {
            var s_Tipo_Act = a_elms2[i].value;
            
            var s_value_Act = a_elms3[i].value;
                        
            if( s_value_Act == s_value && s_Tipo == s_Tipo_Act )
            {
                $("codigo_"+i_row).value = "";
                alert( "El codigo ya existe." );
                $("codigo_"+i_row).focus();
            }
            //alert( i_row+":"+i_row_Act+"->"+s_value )
        }
    }
    //alert(s_value + ": " + a_elms.length)
}
</script>

                <table width="" cellspacing="0" cellpadding="0" border="0" class="marco" style="margin-top: 5px;">
                    <tr>
                        <td nowrap style="padding-bottom: 1px; padding-top: 1px;">
                        
                            <div style="" class="classHead grid" id="Content_Head">
                                <div row="1" id="head_1">
                                	<div style="width: 30px;">&nbsp</div>
                                    <div style="width: 95px;">Tipo</div>
                                    <div style="width: 65px;">Codigo</div>
                                    <div style="width: 190px;">Cliente</div>
                                    <div style="width: 45px;">E</div>
                                    <div style="width: 45px;">O</div>
                                    <div style="width: 45px;">G.A.</div>
                                    <div style="width: 35px;">%</div>
                                    <div style="width: 75px;">Monto</div>
                                    <div style="width: 75px;">Saldo</div>
                                    <div style="width: 75px;">Cta Pds</div>
                                    <div style="width: 75px;">Monto</div>
                                    <div style="width: 65px;">G.A.</div>
                                    <div style="width: 75px;">%</div>
                                    <div style="width: 75px;">Duracion</div>
                                    <div style="width: 75px;">Periodicidad</div>
                                </div>
                            </div>
                            
                            <div style="" class="classData" id="Content_Data">
                                <?php if( isset($i_idpedido) ){ ?>
                                    <?php if( count( $a_CrPedidodetalle ) > 0 ){ ?>
                                    <?php foreach ( $a_CrPedidodetalle as $i_row => $o_CrPedidodetalleBN ){ ?>
                                        <?php
                                        $i_row = $i_row + 1;
                                        
                                        $i_Idpedidodetalle = $o_CrPedidodetalleBN->getIdpedidodetalle();
                                        $s_tipo = $o_CrPedidodetalleBN->getTipocodigo();
                                        $f_MontoPrestado = $o_CrPedidodetalleBN->getMontoprestado();
                                        $f_Gastoadministrativo = $o_CrPedidodetalleBN->getGastoadministrativo();
                                        $i_Interesporcentaje = $o_CrPedidodetalleBN->getInteresporcentaje();
                                        $i_Duracion = $o_CrPedidodetalleBN->getDuracion();
                                        $i_Periodicidadpago = $o_CrPedidodetalleBN->getPeriodicidadpago();
                                        $s_EstadoDetalle = $o_CrPedidodetalleBN->getEstado();
                                        
                                        $o_PrestamoBean = new PrestamoBean();
                                        
                                        switch ( $s_tipo )
                                        {
                                            case '1':
                                                $s_codigo = $o_CrPedidodetalleBN->getIdcliente();
                                                $o_PrestamoBean->setIdCliente($s_codigo);
                                            break;
                                            case '2':
                                                $s_codigo = $o_CrPedidodetalleBN->getCodigocliente();
                                                $o_PrestamoBean->setIdPrestamo($s_codigo);
                                            break;
                                        }
                                        
                                        $o_PrestamoBL = new PrestamoBL();
                                        $o_PrestamoBN = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
                                        if(is_array($o_PrestamoBN))
                                        {
                                            $o_PrestamoBN = $o_PrestamoBN[0];
                                        }
                                        
                                        if( $o_PrestamoBN )
                                        {
                                            $s_Estado = $o_PrestamoBN->getEstado();
                                            $s_Origen = $o_PrestamoBN->getOrigen();
                                            $s_GastoAdministrativo = is_null($o_PrestamoBN->getGastoAdministrativo()) ? "0" : $o_PrestamoBN->getGastoAdministrativo();
                                            $s_InteresPorcentaje = is_null($o_PrestamoBN->getInteresPorcentaje()) ? "0" : $o_PrestamoBN->getInteresPorcentaje();
                                            $s_MontoPrestado = is_null($o_PrestamoBN->getMontoPrestado()) ? "0" : $o_PrestamoBN->getMontoPrestado();
                                            $s_SaldoPrestamo = is_null($o_PrestamoBN->getSaldoPrestamo()) ? "0" : $o_PrestamoBN->getSaldoPrestamo();
                                            
                                            //info cliente
                                            $s_IdCliente = $o_PrestamoBN->getIdCliente();
                                            $o_ClienteBean = new ClienteBean();
                                            $o_ClienteBean->setIdCliente($s_IdCliente);
                                            $o_ClienteBL = new ClienteBL();
                                            $o_ClienteBN = $o_ClienteBL->busquedaCliente($o_ClienteBean);
                                            if(is_array($o_ClienteBN))
                                            {
                                                $o_ClienteBN = $o_ClienteBN[0];
                                            }
                                            //////////////
                                            //Cta Pds
                                            $o_PrestamoBean = new PrestamoBean();
                                            $o_PrestamoBean->setIdCliente($s_IdCliente);
                                            $o_PrestamoBean->setEstado('P');
                                            $o_PrestamoBL = new PrestamoBL();
                                            $a_TmpPrestamo = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
                                            $i_CountPrtmoPdt = count( $a_TmpPrestamo );
                                            /////////
                                        }
                                        
                                        ?>
                                <div row="<?php echo $i_row ?>" id="row_<?php echo $i_row ?>" class="row">
                                    <div style="width: 30px;">
                                        <input row="<?php echo $i_row ?>" type="checkbox" name="checkbox[]" id="checkbox_<?php echo $i_row ?>" value="<?php echo $i_Idpedidodetalle ?>"/>
                                        <input type="hidden" name="registro_id[]" id="registro_id_<?php echo $i_row ?>" value="<?php echo $i_Idpedidodetalle ?>"/>
                                    </div>
                                    <div style="width: 95px;">
                                        <select class="combo" id="tipo_<?php echo $i_row ?>" name="tipo[]" onChange="validacionesCodigo('codigo_<?php echo $i_row ?>','<?php echo $i_row ?>')">
                                            <option value="1" <?php if($s_tipo=="1"){ echo "SELECTED"; } ?>> Cod Cliente </option>
                                            <option value="2" <?php if($s_tipo=="2"){ echo "SELECTED"; } ?>> Cod Prestamo </option>
                                        </select>
                                    </div>
                                    <div style="width: 65px;">
                                        <?php if( $s_EstadoDetalle != "P" ){ ?>
                                        <input readonly style="width:80%;" type="text" class="text text0" id="codigo_<?php echo $i_row ?>" name="codigo[]" value="<?php echo $s_codigo ?>"/>
                                        <input type="button" value="..." class="button" style="width:20%;"/>
                                        <?php }else{ ?>
                                        <input onkeyup="validar_letra(event,'number');" style="width:80%;" type="text" class="text" id="codigo_<?php echo $i_row ?>" name="codigo[]" value="<?php echo $s_codigo ?>" onblur="validacionesCodigo(this,'<?php echo $i_row ?>');actualizarRegistro( 'row_<?php echo $i_row ?>', $('tipo_<?php echo $i_row ?>').value, $('codigo_<?php echo $i_row ?>').value, '<?php echo $i_row ?>' )" onclick="this.select();"/>
                                        <input type="button" value="..." class="button" style="width:20%;" onclick="actualizarRegistro( 'row_<?php echo $i_row ?>', $('tipo_<?php echo $i_row ?>').value, $('codigo_<?php echo $i_row ?>').value, '<?php echo $i_row ?>' )" />
                                        <?php } ?>
                                        <input type="hidden" id="nombre_completo_<?php echo $i_row ?>" name="nombre_completo[]" value="<?php echo $o_ClienteBN->getNombreCompleto() ?>"/>
                                        <input type="hidden" id="s_estadoDetalle_<?php echo $i_row ?>" name="s_estadoDetalle[]" value="<?php echo $s_EstadoDetalle ?>"/>
                                    </div>
                                    <div style="width: 190px;">
                                        <table><tr><td nowrap><label style="cursor:pointer;text-decoration:underline;color:#00f;" onclick="objMainTab.modalDialog('<?php echo buildUrl( 'ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$s_IdCliente.'&s_tipo=' )?>',{width:700,height:400})"><?php echo $o_ClienteBN->getNombreCompleto() ?></label></td></tr></table>
                                    </div>
                                    <div style="width: 45px;"><table><tr><td><?php echo $s_Estado ?></td></tr></table></div>
                                    <div style="width: 45px;"><table><tr><td><?php echo $s_Origen ?></td></tr></table></div>
                                    <div style="width: 45px;"><table><tr><td><?php echo $s_GastoAdministrativo ?></td></tr></table></div> <!--gastos administrativos-->
                                    <div style="width: 35px;"><table><tr><td><?php echo $s_InteresPorcentaje ?></td></tr></table></div>
                                    <div style="width: 75px;"><table><tr><td><?php echo $s_MontoPrestado ?></td></tr></table></div>
                                    <div style="width: 75px;"><table><tr><td><?php echo $s_SaldoPrestamo ?></td></tr></table></div>
                                    <div style="width: 75px;">
                                    	<?php if($i_CountPrtmoPdt > 0){?>
                                      	  <table><tr><td><label style="cursor:pointer;text-decoration:underline;color:#00f;" onclick="objMainTab.modalDialog('<?php echo buildUrl( 'ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$s_IdCliente.'&s_tipo=2' )?>',{width:700,height:400})"><?php echo $i_CountPrtmoPdt ?></label></td></tr></table>
                                      	<?php }else{ echo "0";}?>
                                    </div>
                                    <div style="width: 75px;">
                                        <?php if( $s_EstadoDetalle != "P" ){ ?>
                                        <input type="text" class="text text0" id="monto_<?php echo $i_row ?>" name="monto[]" value="<?php echo $f_MontoPrestado ?>" title="No se puede editar por ser evaluado." readonly/>
                                        <?php }else{ ?>
                                        <input type="text" class="text" id="monto_<?php echo $i_row ?>" name="monto[]" value="<?php echo $f_MontoPrestado ?>"/>
                                        <?php } ?>
                                    </div>
                                    <div style="width: 65px;"><input type="text" class="text" id="gastos_<?php echo $i_row ?>" name="gastos[]" value="<?php echo $f_Gastoadministrativo ?>"/></div>
                                    <div style="width: 75px;">
                                        <select class="combo"  id="porcentaje_<?php echo $i_row ?>" name="porcentaje[]">
                                            <?php for ($i=1; $i<27; $i++){ ?>
                                            <option value="<?php echo $i ?>" <?php if( $i_Interesporcentaje == $i ){ echo "SELECTED"; } ?> > <?php echo $i ?> </option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div style="width: 75px;">
                                        <select class="combo"  id="duracion_<?php echo $i_row ?>" name="duracion[]">
                                            <option value="7" <?php if( $i_Duracion == "7" ){ echo "SELECTED"; } ?>>7 Días</option>
                                            <option value="15" <?php if( $i_Duracion == "15" ){ echo "SELECTED"; } ?>>15 Días</option>
                                            <option value="30" <?php if( $i_Duracion == "30" ){ echo "SELECTED"; } ?>>30 Días</option>
                                            <option value="45" <?php if( $i_Duracion == "45" ){ echo "SELECTED"; } ?>>45 Días</option>
                                            <option value="60" <?php if( $i_Duracion == "60" ){ echo "SELECTED"; } ?>>60 Días</option>
                                            <option value="75" <?php if( $i_Duracion == "75" ){ echo "SELECTED"; } ?>>75 Días</option>
                                            <option value="90" <?php if( $i_Duracion == "90" ){ echo "SELECTED"; } ?>>90 Días</option>
                                        </select>
                                    </div>
                                    <div style="width: 75px;">
                                        <select class="combo" id="periocidad_<?php echo $i_row ?>" name="periocidad[]">
                                            <option value="D" <?php if( $i_Periodicidadpago == "D" ){ echo "SELECTED"; } ?>>Diario</option>
                                            <option value="S" <?php if( $i_Periodicidadpago == "S" ){ echo "SELECTED"; } ?>>Semanal</option>
                                            <option value="Q" <?php if( $i_Periodicidadpago == "Q" ){ echo "SELECTED"; } ?>>Quincenal</option>
                                            <option value="M" <?php if( $i_Periodicidadpago == "M" ){ echo "SELECTED"; } ?>>Mensual</option>
                                        </select>
                                    </div>
                                </div>    
                                        <?php } ?>
                                    <?php } ?>
                                <?php } ?>
                                
                            </div>
                            
                        </td>
                    </tr>
                </table>
                
                <table cellpadding="0" cellspacing="0" style="margin-top: 20px;">
                    <tr>
                        <td>
                            <?php if( isset($i_idpedido) && is_array($a_oColaboradorBN) ){ ?>
                            <input type="button" class="button" value="Actualizar" onclick="guardarPedido();"/>
                            <?php }elseif(is_array($a_oColaboradorBN)){?>
                            <input type="button" class="button" value="Grabar" onclick="guardarPedido();"/>
                            <?php } ?>
                            <input type="button" class="button" value="Cancelar" onclick="location.href='<?=buildUrl( 'pdo/list', 'block=001' )?>';"/>
                        </td>
                    </tr>
                </table>
                
            </td>
        </tr>
    </table>
    
</form>
<div id="contenido_result" style="display:none;">
</div>